Qt 5.6 | Qt GUI | C++ Classes | QAccessibleTextInsertEvent

Qt 5.6.2 Reference Documentation

# QAccessibleTextInsertEvent Class

The QAccessibleTextInsertEvent class notifies of text being inserted. More...

Header: | #include <QAccessibleTextInsertEvent>
qmake: | QT += gui
Inherits: | QAccessibleTextCursorEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleTextInsertEvent(QObject *object, int position, const QString &text)
| QAccessibleTextInsertEvent(QAccessibleInterface *iface, int position, const QString &text)
int | changePosition() const
QString | textInserted() const

- 2 public functions inherited from QAccessibleTextCursorEvent
- 5 public functions inherited from QAccessibleEvent

## Detailed Description

The QAccessibleTextInsertEvent class notifies of text being inserted.

This class is used with QAccessible::updateAccessibility().

## Member Function Documentation

### QAccessibleTextInsertEvent::QAccessibleTextInsertEvent(QObject *object, int position, const QString &text)

Constructs a new QAccessibleTextInsertEvent event for object. The text has been inserted at position. By default, it is assumed that the cursor has moved to the end of the selection. If that is not the case, one needs to manually set it with QAccessibleTextCursorEvent::setCursorPosition() for this event.

### QAccessibleTextInsertEvent::QAccessibleTextInsertEvent(QAccessibleInterface *iface, int position, const QString &text)

Constructs a new QAccessibleTextInsertEvent event for iface. The text has been inserted at position.

### int QAccessibleTextInsertEvent::changePosition() const

Returns the position where the text was inserted.

### QString QAccessibleTextInsertEvent::textInserted() const

Returns the text that has been inserted.